Subject: Re: bug#35610: Freshly installed IBus intput method is not listed as an input source

From: sirgazil <[email-masked]>
Date: Tue, 07 May 2019 07:36:15 -0500

---- On Mon, 06 May 2019 23:51:13 -0500 pelzflorian (Florian Pelz) <[email-masked]> wrote ----

 > On Tue, May 07, 2019 at 06:11:58AM +0200, pelzflorian (Florian Pelz) wrote: 
 > > I had the same problem; it works for me now after I added ibus and 
 > > ibus-anthy to the system packages, Anthy appeared in ibus-setup.  I 
 > > believe I had done no other steps other than experimenting with 
 > > libexec/ibus-setup-anthy (which I believe did not change anything). 
 > > 
 >  
 > Since then IBus Preferences has an icon in GNOME Shell.  Maybe it is 
 > the same issue as <https://issues.guix.info/issue/35594>.  Maybe a 
 > reboot is all that would have been required. 

In my case, when I installed ibus and ibus-anthy, and saw that Anthy was not listed in GNOME Settings, I rebooted and checked both GNOME Settings and IBus Preferences. But nothing. The only change after reboot was that the IBus Preferences icon was available in GNOME's list of applications (which I expected because of bug #35594).

 > I did add what ibus-setup told me to my bashrc by the way, but I 
 > believe it has no effect on GNOME. 

When I launch "ibus-setup" (graphically) it doesn't tell me anything about environment variables. Although I remember in older Debians and Debian-based distros it did say something. But that is not the case in modern distributions (in my experience).

I'm going to try to work around the issue with the exports Chris mentioned, and then see if I have to use the exports from ison's message.